Warning, /plasma-bigscreen/calamares-bigscreen-branding/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 # Set minimum CMake version (required for CMake 3.0 or later)
0002 cmake_minimum_required(VERSION 3.16)
0003 cmake_policy(SET CMP0048 NEW)
0004 project(libqmycroft VERSION "1.0.0")
0005 
0006 set(QT_MIN_VERSION "5.12.0")
0007 set(KF5_MIN_VERSION "5.0.0")
0008 
0009 # Use Extra CMake Modules (ECM) for common functionality.
0010 # See http://api.kde.org/ecm/manual/ecm.7.html
0011 # and http://api.kde.org/ecm/manual/ecm-kde-modules.7.html
0012 find_package(ECM REQUIRED NO_MODULE)
0013 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_MODULE_PATH})
0014 set(VERSION 2.1.0)
0015 
0016 include(KDEInstallDirs)
0017 include(KDECMakeSettings)
0018 include(KDECompilerSettings NO_POLICY_SCOPE)
0019 include(ECMInstallIcons)
0020 
0021 set(CMAKE_AUTOMOC ON)
0022 
0023 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
0024 
0025 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
0026     Quick
0027     Core
0028     Qml
0029     Test
0030 )
0031 
0032 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
0033 add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_USE_QSTRINGBUILDER -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII)
0034 
0035 add_subdirectory(lib)
0036 
0037 install(
0038     DIRECTORY bigscreen/
0039     DESTINATION /etc/calamares/branding/bigscreen/
0040 )